### Function

# Atk add_key_event_listener

#### Declaration [src]

    guint
    atk_add_key_event_listener (
      AtkKeySnoopFunc listener,
      gpointer data
    )

#### Description [src]

Adds the specified function to the list of functions to be called when a key event occurs. The `data` element will be passed to the `AtkKeySnoopFunc` (`listener`) as the `func_data` param, on notification.

This function is not directly available to language bindings.

#### Parameters

`listener`

  Type: `AtkKeySnoopFunc`

  The listener to notify.

`data`

  Type: `gpointer`

  A #gpointer that points to a block of data that should be sent to the registered listeners, along with the event notification, when it occurs.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `guint`

Added event listener id, or 0 on failure.